Subject: Re: more on IPv6 address space exhaustion

From: [email-masked] (Sean Doran)
Date: Tue, 15 Aug 2000 19:09:58 +0200 (CEST)

Keith -

| it's not practical in IPv6 either.   

What isn't?  Partitioning at all, or using this particular partition?

	Sean.

---

From: Keith Moore <[email-masked]>
Date: Tue, 15 Aug 2000 13:15:20 -0400

> What isn't?  Partitioning at all, or using this particular partition?

we've had technology for content labelling, and filtering based on
such labels, for awhile.  nobody uses it.

a one-bit content label is even harder to use than the PICS stuff.

all of the objections about this being improper use of the address
space also apply, but even if those were overcome, the scheme still
wouldn't solve any problems.  it would accomplish nothing except to
waste half of the IPv6 address space.

twits.

Keith

---

From: "Anthony Atkielski" <[email-masked]>
Date: Tue, 15 Aug 2000 20:55:49 +0200

> we've had technology for content labelling, and
> filtering based on such labels, for awhile.
> nobody uses it.

The reason for that is obvious.  Content labelling only allows a person to
filter what he sees himself.  However, most people are not satisfied to
filter out what they dislike for their eyes alone--they prefer to censor
what they dislike at the source, so that _nobody else_ can see it, either.
Content labelling does not provide for this type of censorship, and so
nobody uses it.

---

From: "Theodore Y. Ts'o" <[email-masked]>
Date: Tue, 15 Aug 2000 22:39:29 -0400

From: Keith Moore <[email-masked]>
   Date: Tue, 15 Aug 2000 13:15:20 -0400

And if we have one bit for "jew-free", and another bit for "arab-free",
and another bit for "quebeque-approved" (where the content of every web
page must be in both english and french), "chinese-governemnt-censored",
etc., etc., etc., where hosts now have to have multiple IPv6 address
prefixes to satisfy the needs of all of these power-hungry politicians
that want to create their own filtered version of the Internet --- 

I wonder what happens to the size of routing tables that the core
backbone routers will have to handle?

						- Ted

---

From: Frank Solensky <[email-masked]>
Date: Wed, 16 Aug 2000 11:28:33 -0400

The IPv6 working group had given this proposal all due consideration back in
April, 1996.

> From owner-ipng  Thu Apr 25 12:22:25 1996
> To: "vivek (v.) kapil" <[email-masked]>, [email-masked]
> Cc: [email-masked], [email-masked]
> Subject: (IPng 1631) Re: Adult/minor flag in the IPv6 header(was And now,... 
> Date: Thu, 25 Apr 1996 15:18:49 -0400
> From: "Perry E. Metzger" <[email-masked]>
> Sender: [email-masked]
> Precedence: bulk
> 
> "vivek (v.) kapil" writes:
> > [email-masked] writes:
> > >>Re: Government trying to put an adult/minor flag in the IPv6 header:
> > >
> > >This is, IMHO, a stupid idea.  I would not support it.
> > >I would also argue that the government (in this case the US Government)
> > >does not have any jurisdiction here.
> > 
> > Why do you think it is a stupid idea? IMHO, I personally think 
> > there should be a way to identify who is on the Internet. The kind of
> > material that is floating on the Net is offcourse not for kids'
> > poor eyes.
> > 
> > I also think there should be a way to mark the contents for its
> > level of obscenity so that those contents can be barred to appear
> > in front of those who do not wish to see them.
> 
> Besides, having an Adult/Minor flag makes it much easier for
> technically astute pedophiles to find targets, and I think we should
> help them as much as we can, since there is so much discrimination
> against pedophiles that giving them a leg up now and then is probably
> required by some anti-discrimination law out there.
> 
> Also, I think we should have a whole raft of new flags. I would
> propose the following tags:
> 
> Subversive/Not Subversive according to
>     The Government of Iran
>     The Government of Saudi Arabia
>     The Government of China
>     The Government of Singapore
>     The Government of Libya
>     The Government of Kenya
>     The Government of the U.S.
> Offensive/Not Offensive to 
>     All Christians
>     Catholics
>     Calvinists
>     Lutherans
>     Baptists
>     All Muslims
>     Shiite Muslims
>     Sunni Muslims
>     Hindus
>     Sikhs
>     Jews
>     Nazis
>     White Supremicists
>     Black Supremicists
>     Colorblind People
>     People with one arm (left)
>     People with one arm (right)
>     Gays
>     Homophobes
>     Lesbian Separatists
>     IETF members
> Contains/Does not contain data advocating potentially offensive ideas:
>     Individualist ideas
>     Ideas advocated by the Democratic Party
>     Ideas advocated by the Republican Party
>     Ideas advocated by the Communist Party
>     Ideas advocated by cattle mutilators
>     Ideas advocated by Hillary Clinton
>     Ideas advocated by Ayn Rand
>     Ideas advocating human rights
>     Any ideas that require thinking (offensive to stupid people)
> Packet is being transmitted by
>     Someone under the age of 18
>     Someone under the age of 12
>     A Jew
>     A Hindu
>     A person who is known to advocate ideas considered subversive by
>     the government of Burkina Faso
> Etc. Etc.
> 
> I suggest, before we deploy IPv6 too far and cannot make major
> technical changes, that we have to put in a mandatory end to end
> option, initially with space 256 bits (but extensible via a frequency
> coding mechanism), to be called the "naughty bits", to indicate the
> presence of any such offensive material in the packet. The IANA will
> assign these bits to any group or individual who can articulate a
> criterion by which he might be offended. All routers MUST drop any and
> all packets not containing the "naughty bits".
> 
> > Folks have to agree first whether adult/minor flag should be
> > legalized or not.
> 
> Legalized! Pshaw! I advocate the immediate establishment of an
> international convention requiring the death penalty for any person or
> piece of artificially intelligent software transmitting a packet
> without all (and I mean ALL!) defined "naughty bits" asserted. This
> will make it easy for people to be protected as you advocate:
> 
> > I also think there should be a way to mark the contents for its
> > level of obscenity so that those contents can be barred to appear
> > in front of those who do not wish to see them.
> 
> The advantage of my generalization of your scheme, however, is that it
> will permit the Government of Iran to permit data containing, say,
> suitably head-to-toe covered pictures of women to be transmitted to
> the country, but at the same time allow much less liberal governments
> to eliminate any such representational artwork, which, as you know,
> goes against the will of Allah, and also permit the
> pedonecrobestiophiles on the net to only allow packets containing
> pictures of young dead animals being buggered to pass through their
> firewall.
> 
> The system in question is both necessary to permit the worldwide
> automated censorship regime we are all working hard to achieve and is
> technically feasible. I advocate the immediate formation of a working
> group to rapidly create a standard before its too late and more
> Iranian children are traumatized for life by seeing pictures of women
> without veils.
> 
> 
> Perry
> 
> PS apologies to T.C. May for open theft of many of his ideas on this
> topic.
> ------------------------------------------------------------------------------
> IETF IPng Mailing List		      FTP archive: ftp.parc.xerox.com:/pub/ipng
> IPng Home Page:          	      http://playground.sun.com/ipng
> Direct all administrative requests to [email-masked]